Skip to content
Start here

Delete a Zero Trust Gateway location

client.zeroTrust.gateway.locations.delete(stringlocationId, LocationDeleteParams { account_id } params, RequestOptionsoptions?): LocationDeleteResponse
DELETE/accounts/{account_id}/gateway/locations/{location_id}

Delete a configured Zero Trust Gateway location.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare Zero Trust Secure DNS Locations WriteZero Trust Write
ParametersExpand Collapse
locationId: string
params: LocationDeleteParams { account_id }
account_id: string
ReturnsExpand Collapse
LocationDeleteResponse = unknown

Delete a Zero Trust Gateway location

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const location = await client.zeroTrust.gateway.locations.delete(
  'ed35569b41ce4d1facfe683550f54086',
  { account_id: '699d98642c564d2e855e9661899b7252' },
);

console.log(location);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {}
}